from ctypes import *
TEMUSupport = CDLL('libTEMUSupport.so.3')

timeGetMonotonicWct = TEMUSupport.temu_timeGetMonotonicWct
timeGetMonotonicWct.argtypes = []
timeGetMonotonicWct.restype = c_uint64

timeGetThreadWct = TEMUSupport.temu_timeGetThreadWct
timeGetThreadWct.argtypes = []
timeGetThreadWct.restype = c_uint64

timeGetCurrentSrtNanos = TEMUSupport.temu_timeGetCurrentSrtNanos
timeGetCurrentSrtNanos.argtypes = [c_void_p]
timeGetCurrentSrtNanos.restype = c_uint64

getCycles = TEMUSupport.temu_getCycles
getCycles.argtypes = [c_void_p]
getCycles.restype = c_int64

getNanos = TEMUSupport.temu_getNanos
getNanos.argtypes = [c_void_p]
getNanos.restype = c_int64

getSecs = TEMUSupport.temu_getSecs
getSecs.argtypes = [c_void_p]
getSecs.restype = c_double

cyclesToNanos = TEMUSupport.temu_cyclesToNanos
cyclesToNanos.argtypes = [c_int64, c_int64]
cyclesToNanos.restype = c_int64

cyclesToSecs = TEMUSupport.temu_cyclesToSecs
cyclesToSecs.argtypes = [c_int64, c_int64]
cyclesToSecs.restype = c_double

nanosToCycles = TEMUSupport.temu_nanosToCycles
nanosToCycles.argtypes = [c_int64, c_int64]
nanosToCycles.restype = c_int64

nanosToCyclesRoundedUp = TEMUSupport.temu_nanosToCyclesRoundedUp
nanosToCyclesRoundedUp.argtypes = [c_int64, c_int64]
nanosToCyclesRoundedUp.restype = c_int64

nanosToSecs = TEMUSupport.temu_nanosToSecs
nanosToSecs.argtypes = [c_int64]
nanosToSecs.restype = c_double

secsToNanos = TEMUSupport.temu_secsToNanos
secsToNanos.argtypes = [c_double]
secsToNanos.restype = c_int64

secsToCycles = TEMUSupport.temu_secsToCycles
secsToCycles.argtypes = [c_double, c_int64]
secsToCycles.restype = c_int64

